function [x,y,typeOfHole] = getBoltPlan(filename)
    %filename = 'C:\Users\eivindjk\Documents\Bever Team\Favorites\Drillplans\STIGENDE Normalprofil 15015-15395 uten siktutvidelse med lade og tennplan.xml';
    s = parseXML(filename);
    %%
    nHoles = 0;
    for i=1:length(s.Children)
        if strcmp(s.Children(i).Name,'DrillPlan')
            for j=1:length(s.Children(i).Children)
                drillPlan = s.Children(i);
                if strcmp(drillPlan.Children(j).Name,'NumberOfHoles')
                    nHoles = str2num(drillPlan.Children(j).Children.Data);
                    break;
                end
            end
        end
    end

    x = zeros(nHoles,1);
    y = x;
    typeOfHole = strings(nHoles,1);
    counter = 1;

    for k=1:length(drillPlan.Children)
        if strcmp(drillPlan.Children(k).Name,'Hole')
            for l=1:length(drillPlan.Children(k).Children)
                if strcmp(drillPlan.Children(k).Children(l).Name,'StartPoint')
                    x(counter) = str2double(drillPlan.Children(k).Children(l).Children(2).Children.Data);
                    y(counter) = str2double(drillPlan.Children(k).Children(l).Children(6).Children.Data);
                end
                if strcmp(drillPlan.Children(k).Children(l).Name,'TypeOfHole')
                    typeOfHole(counter) = drillPlan.Children(k).Children(l).Children.Data;
                end
            end
            counter = counter+1;
        end
    end
    
end