clear;

logDir = 'Hare 1';
logs = dir(logDir);

pelMin = 13960;
pelMax = 14410;
pelFolder = strcat('Pel',int2str(pelMin),'-',int2str(pelMax));
mkdir(pelFolder);

for i=3:size(logs,1)
    filename = fullfile(logDir, logs(i).name);
    [tunnelLine, pel, drillDir, nHoles, xStart, yStart, zStart, xEnd, yEnd, zEnd, holeType, boom, holeNoPlan, startTime, endTime] = readTl4Complete(filename);
    if pel >= pelMin && pel <= pelMax
        destination = fullfile(pelFolder, logs(i).name);
        copyfile(filename, destination);
    end
end