clear;

%% Load data
drillPlan = 'C:\Users\eivindjk\Documents\Bever Team\Favorites\Drillplans\STIGENDE Normalprofil 13960-14410 med 169 ladet hull.xml';
[left,right,center] = allocateHoles(drillPlan);

%% Plot points
% f = figure;
% set(f,'Units','Pixels');
% set(f, 'OuterPosition', [0, 0, 1500, 1200]);
% grid on
% title('Allocated holes','FontSize',48);
% xlabel('Distance [m]','FontSize',24);
% ylabel('Distance [m]','FontSize',24);
% set(gca,'FontSize',16)
% ax = gca;
% outerpos = ax.OuterPosition;
% ti = ax.TightInset; 
% left_m = outerpos(1) + ti(1);
% bottom = outerpos(2) + ti(2);
% ax_width = outerpos(3) - ti(1) - ti(3);
% ax_height = outerpos(4) - ti(2) - ti(4);
% ax.Position = [left_m bottom ax_width ax_height];

distanceArray = [];
distanceArrayFirst = true;
%% Plot solution
% hold on
% [first,second,distance] = getMaxDistance(center);
for abc=1:200
    [start1, stop1] = getShortestPath(left,0,0,[]);
    boom1 = [start1;stop1(end,:)];
    % p1 = scatter(boom1(:,1),boom1(:,2),'r');
    % q1 = quiver(start1(:,1),start1(:,2),stop1(:,1)-start1(:,1),stop1(:,2)-start1(:,2),'AutoScale','off','MaxHeadSize',1);
    % q1.Color = [1 0.5 0.5];

    [start2, stop2] = getShortestPath(center,0,0,[]);
    boom2 = [start2;stop2(end,:)];
    % p2 = scatter(boom2(:,1),boom2(:,2),'g');
    % q2 = quiver(start2(:,1),start2(:,2),stop2(:,1)-start2(:,1),stop2(:,2)-start2(:,2),'AutoScale','off','MaxHeadSize',1);
    % q2.Color = [0.5 1 0.5];

    [start3, stop3] = getShortestPath(right,0,0,[]);
    boom3 = [start3;stop3(end,:)];
    % p3 = scatter(boom3(:,1),boom3(:,2),'b');
    % q3 = quiver(start3(:,1),start3(:,2),stop3(:,1)-start3(:,1),stop3(:,2)-start3(:,2),'AutoScale','off','MaxHeadSize',1);
    % q3.Color = [0.5 0.5 1];

    %legend([p1 p2 p3],{'Boom 1','Boom 2','Boom 3'});
    figureCount = 1;

    cont = true;
    boom1_f = [];
    boom2_f = [];
    boom3_f = [];
    timer = 1;

    t1 = randi([20 50],1,size(boom1,1));
    t2 = randi([20 50],1,size(boom2,1));
    t3 = randi([20 50],1,size(boom3,1));

    for i=2:length(t1)
        t1(i) = t1(i)+t1(i-1);
    end
    for i=2:length(t2)
        t2(i) = t2(i)+t2(i-1);
    end
    for i=2:length(t3)
        t3(i) = t3(i)+t3(i-1);
    end
    while cont
        changed = false;
        if ~isempty(t1) && ~isempty(boom1)
            if t1(1)==timer
                if isempty(boom1)
                    dbstop;
                end
                [boom1,boom1_f] = moveFromItoEnd(boom1,boom1_f,1);
                if size(t1,2) == 1
                    t1 = [];
                else
                    t1 = t1(2:end);
                end
                changed = true;
            end
        end
        if ~isempty(t2) && ~isempty(boom2)
            if t2(1)==timer
                if isempty(boom2)
                    dbstop;
                end
                [boom2,boom2_f] = moveFromItoEnd(boom2,boom2_f,1);
                if size(t2,2) == 1
                    t2 = [];
                else
                    t2 = t2(2:end);
                end
                changed = true;
            end
        end
        if ~isempty(t3) && ~isempty(boom3)
            if t3(1)==timer
                [boom3,boom3_f] = moveFromItoEnd(boom3,boom3_f,1);
                if size(t3,2) == 1
                    t3 = [];
                else
                    t3 = t3(2:end);
                end
                changed = true;
            end
        end
        if changed
            l = length(boom1);
            r = length(boom2);
            c = length(boom3);

            newSeq = false;
            if (l<=r+1 && l>=r-1) && (l<=c+1 && l>=c-1) && (c<=r+c && c>=r-c)

            else
                newSeq = true;
                if isempty(boom1_f) || isempty(boom2_f) || isempty(boom3_f)
                    [boom1, boom2, boom3] = reAllocateHoles(boom1, boom2, boom3, [0,0], [0,0], [0,0]);
                else
                    [boom1, boom2, boom3] = reAllocateHoles(boom1, boom2, boom3, boom1_f(end,:), boom2_f(end,:), boom3_f(end,:));
                end
                if size(boom1,1) > 1
                    [start1, stop1] = getShortestPath(boom1,1,size(boom1,1),[]);
                    boom1 = [start1;stop1(end,:)];
                end

                if size(boom2,1) > 1
                    [start2, stop2] = getShortestPath(boom2,1,size(boom2,1),[]);
                    boom2 = [start2;stop2(end,:)];
                end

                if size(boom3,1) > 1
                    [start3, stop3] = getShortestPath(boom3,1,size(boom3,1),[]);
                    boom3 = [start3;stop3(end,:)];
                end
                if size(boom1,1) >= 1
                    t1 = randi([20 50],1,size(boom1,1));
                    t1(1) = timer + t1(1);
                end
                if size(boom2,1) >= 1
                    t2 = randi([20 50],1,size(boom2,1));
                    t2(1) = timer + t2(1);
                end
                if size(boom3,1) >= 1
                    t3 = randi([20 50],1,size(boom3,1));
                    t3(1) = timer + t3(1);
                end

                for i=2:length(t1)
                    t1(i) = t1(i)+t1(i-1);
                end
                for i=2:length(t2)
                    t2(i) = t2(i)+t2(i-1);
                end
                for i=2:length(t3)
                    t3(i) = t3(i)+t3(i-1);
                end
            end


    %         if newSeq
    %             saveas(f,strcat('C:\Users\eivindjk\Documents\Master\AnimationSteps\',int2str(figureCount),'animationBefore.eps'),'epsc');
    %             saveas(f,strcat('C:\Users\eivindjk\Documents\Master\AnimationSteps\',int2str(figureCount),'animationBefore.png'));
    %             figureCount = figureCount + 1;
    %         end
    %         delete(p1);
    %         delete(p2);
    %         delete(p3);
    %         delete(q1);
    %         delete(q2);
    %         delete(q3);
            if isempty(boom1_f)
    %             p1 = scatter(boom1(:,1),boom1(:,2),'r');
    %             q1 = quiver(start1(:,1),start1(:,2),stop1(:,1)-start1(:,1),stop1(:,2)-start1(:,2),'AutoScale','off','MaxHeadSize',1);
    %             q1.Color = [1 0.5 0.5];
            else
    %             p1 = scatter(boom1(:,1),boom1(:,2),'r');
    %             q1 = quiver(start1(:,1),start1(:,2),stop1(:,1)-start1(:,1),stop1(:,2)-start1(:,2),'AutoScale','off','MaxHeadSize',1);
    %             q1.Color = [1 0.5 0.5];
    %             p1_f = scatter(boom1_f(:,1),boom1_f(:,2),36,[0.5 0.5 0.5]);
                if isempty(boom1)
                    start1_f = boom1_f(1:end-1,:);
                    stop1_f = [boom1_f(2:end,:)];
                else
                    start1_f = boom1_f(1:end,:);
                    stop1_f = [boom1_f(2:end,:);boom1(1,:)];
                end
    %             q1_f = quiver(start1_f(:,1),start1_f(:,2),stop1_f(:,1)-start1_f(:,1),stop1_f(:,2)-start1_f(:,2),'AutoScale','off','MaxHeadSize',1);
    %             q1_f.Color = [1 0.5 0.5];
            end
            if isempty(boom2_f)
    %             p2 = scatter(boom2(:,1),boom2(:,2),'g');
    %             q2 = quiver(start2(:,1),start2(:,2),stop2(:,1)-start2(:,1),stop2(:,2)-start2(:,2),'AutoScale','off','MaxHeadSize',1);
    %             q2.Color = [0.5 1 0.5];
            else
    %             p2 = scatter(boom2(:,1),boom2(:,2),'g');
    %             q2 = quiver(start2(:,1),start2(:,2),stop2(:,1)-start2(:,1),stop2(:,2)-start2(:,2),'AutoScale','off','MaxHeadSize',1);
    %             q2.Color = [0.5 1 0.5];
    %             p2_f = scatter(boom2_f(:,1),boom2_f(:,2),36,[0.5 0.5 0.5]);
                if isempty(boom2)
                    start2_f = boom2_f(1:end-1,:);
                    stop2_f = [boom2_f(2:end,:)];
                else
                    start2_f = boom2_f(1:end,:);
                    stop2_f = [boom2_f(2:end,:);boom2(1,:)];
                end
    %             q2_f = quiver(start2_f(:,1),start2_f(:,2),stop2_f(:,1)-start2_f(:,1),stop2_f(:,2)-start2_f(:,2),'AutoScale','off','MaxHeadSize',1);
    %             q2_f.Color = [0.5 1 0.5];
            end
            if isempty(boom3_f)
    %             p3 = scatter(boom3(:,1),boom3(:,2),'b');
    %             q3 = quiver(start3(:,1),start3(:,2),stop3(:,1)-start3(:,1),stop3(:,2)-start3(:,2),'AutoScale','off','MaxHeadSize',1);
    %             q3.Color = [0.5 0.5 1];
            else
    %             p3 = scatter(boom3(:,1),boom3(:,2),'b');
    %             q3 = quiver(start3(:,1),start3(:,2),stop3(:,1)-start3(:,1),stop3(:,2)-start3(:,2),'AutoScale','off','MaxHeadSize',1);
    %             q3.Color = [0.5 0.5 1];
    %             p3_f = scatter(boom3_f(:,1),boom3_f(:,2),36,[0.5 0.5 0.5]);
                if isempty(boom3)
                    start3_f = boom3_f(1:end-1,:);
                    stop3_f = [boom3_f(2:end,:)];
                else
                    start3_f = boom3_f(1:end,:);
                    stop3_f = [boom3_f(2:end,:);boom3(1,:)];
                end
    %             q3_f = quiver(start3_f(:,1),start3_f(:,2),stop3_f(:,1)-start3_f(:,1),stop3_f(:,2)-start3_f(:,2),'AutoScale','off','MaxHeadSize',1);
    %             q3_f.Color = [0.5 0.5 1];
            end
    %         if newSeq
    %             saveas(f,strcat('C:\Users\eivindjk\Documents\Master\AnimationSteps\',int2str(figureCount),'animationAfter.eps'),'epsc');
    %             saveas(f,strcat('C:\Users\eivindjk\Documents\Master\AnimationSteps\',int2str(figureCount),'animationAfter.png'));
    %             figureCount = figureCount + 1;
    %         end
        end



        timer = timer + 1;
        %pause(0.005);
        if isempty(boom1) && isempty(boom2) && isempty(boom3)
            cont = false;
        end
    end
    %p1 = changeColor(p1,1);
    %% Distance
%     distance = calculateDistance(boom1_f(1:end-1,:),boom1_f(2:end,:));
%     distance = distance + calculateDistance(boom2_f(1:end-1,:),boom2_f(2:end,:));
%     distance = distance + calculateDistance(boom3_f(1:end-1,:),boom3_f(2:end,:));
%     distance_normalized = distance/(size(boom1_f,1)+size(boom2_f,1)+size(boom3_f,1));
    distance = 0;
    for i=1:(size(boom1_f,1)-1)
        distance(end+1) = calculateDistanceOne(boom1_f(i,:),boom1_f(i+1,:));
    end
    for i=1:(size(boom2_f,1)-1)
        distance(end+1) = calculateDistanceOne(boom2_f(i,:),boom2_f(i+1,:));
    end
    for i=1:(size(boom3_f,1)-1)
        distance(end+1) = calculateDistanceOne(boom3_f(i,:),boom3_f(i+1,:));
    end
    if distanceArrayFirst
        distanceArray = distance';
        distanceArrayFirst = false;
    else
        distanceArray = [distanceArray;distance'];
    end
end
%% Plot
f6=figure;
distanceArray=distanceArray(distanceArray~=0,:);
distanceArray=distanceArray(distanceArray<10,:);
histfit(distanceArray,50,'kernel');
legend('Data','Probability distribution');
set(f6,'Units','Pixels');
set(f6, 'OuterPosition', [0, 0, 1500, 1200]);
grid on
title('Distance moved for each hole in simulator','FontSize',72);
xlabel('Distance [m]','FontSize',32);
ylabel('Occurrence','FontSize',32);
set(gca,'FontSize',21)
ax = gca;
outerpos = ax.OuterPosition;
ti = ax.TightInset; 
left = outerpos(1) + ti(1);
bottom = outerpos(2) + ti(2);
ax_width = outerpos(3) - ti(1) - ti(3);
ax_height = outerpos(4) - ti(2) - ti(4);
ax.Position = [left bottom ax_width ax_height];

saveas(f6,strcat('C:\Users\eivindjk\Documents\Master\Other plots\','distanceSim.png'));
saveas(f6,strcat('C:\Users\eivindjk\Documents\Master\Other plots\','distanceSim.fig'));
saveas(f6,strcat('C:\Users\eivindjk\Documents\Master\Other plots\','distanceSim.eps'),'epsc');
aDist = mean(distanceArray);
varDist = var(distanceArray);