[x,y,typeOfHole] = getDrillPlan('C:\Users\eivindjk\Documents\Bever Team\Favorites\Drillplans\Bolteplan Klasse C pel 13960-14410 Stigende.xml');
f = figure;
hold on
for i=1:length(x)
    switch typeOfHole(i)
        case 'BoltHole'
            p1 = scatter(x(i),y(i),'r');
        case 'Reference'
            p7 = scatter(x(i),y(i),[],'b');
        otherwise
            p9 = scatter(x(i),y(i),'black');
    end
end
set(f,'Units','Pixels');
set(f, 'OuterPosition', [0, 0, 1500, 1200]);
xlim([-7 11]);
ylim([-1 9]);
grid on
legend([p1 p7],{'BoltHole','Reference'});
title('Bolt plan with hole types','FontSize',48);
xlabel('Distance [m]','FontSize',24);
ylabel('Distance [m]','FontSize',24);
set(gca,'FontSize',16)
ax = gca;
outerpos = ax.OuterPosition;
ti = ax.TightInset; 
left = outerpos(1) + ti(1);
bottom = outerpos(2) + ti(2);
ax_width = outerpos(3) - ti(1) - ti(3);
ax_height = outerpos(4) - ti(2) - ti(4);
ax.Position = [left bottom ax_width ax_height];

saveas(f,strcat('C:\Users\eivindjk\Documents\Master\Drill plan plots\','13960-14410_Bolt_plan_hole_types.png'));
saveas(f,strcat('C:\Users\eivindjk\Documents\Master\Drill plan plots\','13960-14410_Bolt_plan_hole_types.fig'));
saveas(f,strcat('C:\Users\eivindjk\Documents\Master\Drill plan plots\','13960-14410_Bolt_plan_hole_types.eps'),'epsc');